/*
                            List Control

	General extended GtkCList and GtkScrolledWindow control, to
	allow additoinal scrolling functionality with key and pointer
	events.
 */

#ifndef WINLISTCTRL_H
#define WINLISTCTRL_H

#include <gtk/gtk.h>
#include "core.h"


extern gint WinCListKeyEventCB(
	GtkCList *clist, GdkEventKey *key, gpointer data
);
extern gint WinCListButtonEventCB(
	GtkCList *clist, GdkEventButton *button, gpointer data
);
extern gint WinCListMotionEventCB(
	GtkCList *clist, GdkEventMotion *motion, gpointer data
);

extern GtkWidget *WinScrolledWindowNew(
	core_struct *core,
        GtkPolicyType hscrollbar_policy,
        GtkPolicyType vscrollbar_policy,
        GtkWidget **event_box_rtn,
        GtkWidget **vbox_rtn
);


#endif	/* WINLISTCTRL_H */
