#ifndef WINPREVIEW_H
#define WINPREVIEW_H

#include <gtk/gtk.h>
#ifdef HAVE_LIBENDEAVOUR2
# include <endeavour2.h>
#endif


extern GtkWidget *WinPreviewNew(void);
extern void WinPreviewSetSize(GtkWidget *w, gint width, gint height);
extern void WinPreviewSetShowDetails(GtkWidget *w, gboolean show);
extern void WinPreviewQueueDraw(GtkWidget *w);
extern GtkWidget *WinPreviewGetDrawingArea(GtkWidget *w);
#ifdef HAVE_LIBENDEAVOUR2
extern void WinPreviewSetImageFile(
        GtkWidget *w, const gchar *path,
        EDVContext *edv_ctx
);
#else
extern void WinPreviewSetImageFile(GtkWidget *w, const gchar *path);
#endif
extern void WinPreviewClear(GtkWidget *w);


#endif	/* WINPREVIEW_H */
